package com.yunzhi.marketing.xlk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.marketing.entity.TaBuilding;
import com.yunzhi.marketing.xlk.entity.SearchHouse;
import com.yunzhi.marketing.xlk.vo.ExportSearchHouseVO;
import com.yunzhi.marketing.xlk.vo.SearchHouseVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 帮我找房  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-05-19
 */
@Mapper
public interface SearchHouseMapper extends BaseMapper<SearchHouse> {

    IPage<SearchHouseVO> selectSearchHouseList(IPage<SearchHouseVO> pg,@Param("params") SearchHouseVO searchHouse);

    SearchHouseVO selectSearchHouseDetail(String id);

    List<TaBuilding> getRecommendBuildings(@Param("orgId") Integer orgId,
                                           @Param("cityId") Integer cityId,
                                           @Param("areaId") Integer areaId,
                                           @Param("minPriceW") Integer minPriceW,
                                           @Param("maxPriceW") Integer maxPriceW,
                                           @Param("minPrice") Integer minPrice,
                                           @Param("maxPrice") Integer maxPrice,
                                           @Param("limit") Integer limit);

    List<ExportSearchHouseVO> selectExportHouseList(@Param("params") SearchHouseVO searchHouse);
}
