package com.yunzhi.marketing.xlk.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.center.taUser.entity.TaUser;
import com.yunzhi.marketing.center.taUser.mapper.TaUserMapper;
import com.yunzhi.marketing.entity.TaBuilding;
import com.yunzhi.marketing.entity.TaPersonBuilding;
import com.yunzhi.marketing.xlk.entity.SceneLog;
import com.yunzhi.marketing.xlk.mapper.SceneLogMapper;
import com.yunzhi.marketing.xlk.service.ISceneLogService;
import com.yunzhi.marketing.xlk.vo.BuildingLogVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 业务日志记录表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-10-08
 */
@Service
public class SceneLogServiceImpl extends ServiceImpl<SceneLogMapper, SceneLog> implements ISceneLogService {

    @Autowired
    private TaUserMapper taUserMapper;

    @Override
    public void saveLogs(Integer userId, String type, String uuid) {
        TaUser taUser = taUserMapper.selectById(userId);
        SceneLog sceneLog = new SceneLog();
        sceneLog.setType(type);
        sceneLog.setUuid(uuid);
        sceneLog.setUpdateId(String.valueOf(userId));
        sceneLog.setUpdateName(taUser.getUserName());
        sceneLog.setUpdateTime(LocalDateTime.now());
        this.baseMapper.insert(sceneLog);
    }

    @Override
    public ResponseBean getBuildingLogs(Integer pageNum, Integer pageSize, String buildingId, List<TaPersonBuilding> taPersonBuildingList, List<String> InstitutionIds) {
        Page<BuildingLogVO> page = new Page<>(pageNum, pageSize);
        List<BuildingLogVO> buildings = this.baseMapper.getBuildingLogs(page, buildingId, taPersonBuildingList, InstitutionIds);
        return ResponseBean.success(page);
    }
}
